package com.trade.service.tradingplatform.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class TradingPlatformBaseInfo {

    private Long platformId;
    /**
     * 贸易平台名称
     */
    private String platformName;
    /**
     * 贸易平台编码
     */
    private String platformCode;
    /**
     * 所属地区，枚举类型district_code
     */
    private String districtCode;
    /**
     * 成立时间 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date establishDate;
    /**
     * 是否拥有中信保保单，枚举：sys_yes_no
     */
    private String hasSinosureInsurance;
    /**
     * 是否具备进出口资质，枚举：sys_yes_no
     */
    private String hasImportExportQualification;
    /**
     * 是否具备代理出口资质，枚举：sys_yes_no
     */
    private String hasExportAgentQualify;
    /**
     * 创建时间 yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 更新时间 yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

    public Long getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public Date getEstablishDate() {
        return establishDate;
    }

    public void setEstablishDate(Date establishDate) {
        this.establishDate = establishDate;
    }

    public String getHasSinosureInsurance() {
        return hasSinosureInsurance;
    }

    public void setHasSinosureInsurance(String hasSinosureInsurance) {
        this.hasSinosureInsurance = hasSinosureInsurance;
    }

    public String getHasImportExportQualification() {
        return hasImportExportQualification;
    }

    public void setHasImportExportQualification(String hasImportExportQualification) {
        this.hasImportExportQualification = hasImportExportQualification;
    }

    public String getHasExportAgentQualify() {
        return hasExportAgentQualify;
    }

    public void setHasExportAgentQualify(String hasExportAgentQualify) {
        this.hasExportAgentQualify = hasExportAgentQualify;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
}
